/*
 End of "evolis.h,v 1.0  ".
*/

// Macros...
#define RgbToGray(r, g, b) (((long) (r)*74L + (long)(g)*155L +(long)(b)*27L) >> 8)

#define RECTO   0
#define VERSO   1

#define PEBBLE      1
#define TATTOO      2
#define DUALYS      4
#define QUANTUM     3
#define SECURION    5
#define TATTOO2     PEBBLE

#define MAGTYPE_ISO1    1
#define MAGTYPE_ISO2    2
#define MAGTYPE_ISO3    3
#define MAGTYPE_SIPASS  4
#define MAGTYPE_C2_75   5
#define MAGTYPE_JIS2    6
#define MAGTYPE_C4      7
#define MAGTYPE_C2_210  8

// uppercase (toupper)
#define UPPER( c ) ( (c)>0x60 ? (c)-0x20 : (c) )

// Globals...
extern int             STATUS; //0 means succes, 1 means failure
extern unsigned char   *lpMem;
extern unsigned char   *lpRecto,*lpVerso;
extern int             Model;           /* Model number */
extern long            dwSizeNeeded;        // taille mmoire du lpMem en octets
extern char
    OverlayPannel[10],
    OverlayBackPannel[10],
    TreatementK[2];

extern int colorspace,levelB;
extern int TB,LB,BB,RB,TW,LW,BW,RW;


// Dealing data functions
//extern void ShareRVBtoMem(long Height, long Width, long WidthLine, cups_raster_t * ras);
//extern void GetPrintingArea(long Height, long Width, long WidthLine, cups_raster_t * ras,long *x,long *y);

// Compress and format data for the printer
extern long ReduceBlack(unsigned char *lpMemIn, unsigned char *lpMemOut,int nbrline);
extern long ReduceColor(unsigned char *lpMemIn, unsigned char *lpMemOut, int uiBitComp,int nbrline);
//int CutPage(long *stop);

// Download functions
extern int DBNC(int col,int bl,int ov);//,int line);
extern int DB32NC(long lPos, char color);//,int line);  //y,m,c pannels 5 bits per color
extern int DB64NC(long lPos, char color);//,int line);  //y,m,c pannels 6 bits per color
extern int DB128NC(long lPos, char color);//,int line); //y,m,c pannels 7 bits per color
extern int DB2NC(long lPos, char pannel[10]);   // k,o panel 2 levels
extern int DB2MNC(long lPos);       // k panel 2 levels


// Convert RVB to k functions
extern void RVBtoGray(unsigned char *lpMemIn, unsigned char *lpMemOut, long lNbrByte);
extern void KinYMC(long Height, long Width);
extern void GrayToFloyd(unsigned char *lpMemIn, unsigned char *lpMemOut, long Width, long Height);
extern void GrayToDither(unsigned char *lpMemIn, unsigned char *lpMemOut, long Width, long Height);
extern void GrayToThreshold(unsigned char *lpMemIn, unsigned char *lpMemOut, long lNbrByte);
extern void ConvertRVBtoK(unsigned char *lpbRVB, long RVBSize, long Height, long Width, unsigned char *lpBlack,int face);


      
// End of "evolis.h,v 1.0  ".
