/*
 End of "evoliserror.c,v 1.0  ".
*/
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include "evolis.h"



void error(char * msg, ...)
{
	fprintf(stderr, "ERROR: ");
	
	va_list args;
	va_start(args,msg);
	vfprintf(stderr, msg, args);
	va_end(args);
	fprintf(stderr, "\n");
}

void fatal(char * msg, ...)
{
	STATUS=1;
	error("EVOLIS ERROR");
	fprintf(stderr, "ERROR: ");
	va_list args;
	va_start(args,msg);
	vfprintf(stderr, msg, args);
	va_end(args);
	fprintf(stderr, "\n");
}


void debug(char * msg, ...)
{
	fprintf(stderr, "DEBUG: ");
	va_list args;
	va_start(args,msg);
	vfprintf(stderr, msg, args);
	va_end(args);
	fprintf(stderr, "\n");
}

void info(char * msg, ...)
{
	fprintf(stderr, "ERROR: ");
	va_list args;
	va_start(args,msg);
	vfprintf(stderr, msg, args);
	va_end(args);
	fprintf(stderr, "\n");
}

void output(char * data, ...)
{
  //info("output call : %s ",data);
	va_list args;
	va_start(args,data);
	vfprintf(stdout, data, args);
	va_end(args);
}

      
// End of "evoliserror.c,v 1.0  ".
